/******************************************************************************
*	One frequency-weight record.
*
*	@author	 Daniel R. Collins (dcollins@superdan.net)
*	@since	 2017-06-26
*	@version	 1.00
******************************************************************************/

public class FreqWeight {

	//--------------------------------------------------------------------------
	//	 Fields
	//--------------------------------------------------------------------------

	/** Frequency character code. */
	char frequency;

	/** Integer weighting value. */
	int weight;
	
	//--------------------------------------------------------------------------
	//	 Constructors
	//--------------------------------------------------------------------------

	/**
	*	Constructor	(from	String array specifier).
	*	@param spec	The specifier.
	*/
	public FreqWeight (String[] spec) {
		frequency = spec[0].charAt(0);
		weight = Math.max(0, Integer.parseInt(spec[1]));
	}

	//--------------------------------------------------------------------------
	//	 Methods
	//--------------------------------------------------------------------------

	/**
	*	Get frequency code.
	*/
	public char getCode () {
		return frequency;
	}

	/**
	*	Get integer weight.
	*/
	public int getWeight () {
		return weight;
	}

	/**
	*	Identify	this object	as	a string.
	*/
	public String toString() {
		return "Frequency [" + frequency + ", " + weight + "]";
	}

	/**
	*	Main test method.
	*/
	public static void main	(String[] args) {
		String[] spec = {"C", "8"};
		FreqWeight fw = new FreqWeight(spec);
		System.out.println(fw);
	}
}

