/******************************************************************************
*	One Intelligence category record.
*
*	@author	 Daniel R. Collins (dcollins@superdan.net)
*	@since	 2017-06-17
*	@version	 1.0
******************************************************************************/

public class IntRecord {

	//--------------------------------------------------------------------------
	//	 Fields
	//--------------------------------------------------------------------------

	/** Start of intelligence range. */
	int intKey;

	/** Minimum spells per level. */
	int minSpells;

	/** Maximum spells per level. */
	int maxSpells;
	
	//--------------------------------------------------------------------------
	//	 Constructors
	//--------------------------------------------------------------------------

	/**
	*	Constructor	(from	String array specifier).
	*	@param spec	The specifier.
	*/
	public IntRecord (String[] spec) {
		intKey = Integer.parseInt(spec[0].substring(0, 2));
		minSpells = Integer.parseInt(spec[1]);
		maxSpells = Integer.parseInt(spec[2]);
	}

	//--------------------------------------------------------------------------
	//	 Methods
	//--------------------------------------------------------------------------

	/**
	*	Get start of intelligence range. 
	*/
	public int getIntKey () { 
		return intKey; 
	}

	/**
	*	Get minimum spells per level. 
	*/
	public int getMinSpells () { 
		return minSpells; 
	}

	/**
	*	Get maximum spells per level. 
	*/
	public int getMaxSpells () { 
		return maxSpells; 
	}

	/**
	*	Identify	this object	as	a string.
	*/
	public String toString() {
		return "Min " + minSpells + ", max " + maxSpells;	
	}

	/**
	*	Main test method.
	*/
	public static void main	(String[] args) {
		String[] spec = {"03-04", "1", "3"};
		IntRecord rec = new IntRecord(spec);
		System.out.println(rec);
	}
}

