/******************************************************************************
*	One spell.
*
*	@author	 Daniel R. Collins (dcollins@superdan.net)
*	@since	 2017-06-26
*	@version	 1.00
******************************************************************************/

public class Spell implements Comparable<Spell> {

	//--------------------------------------------------------------------------
	//	 Fields
	//--------------------------------------------------------------------------

	/** Level of spell. */
	int level;

	/** Frequency character code. */
	char frequency;

	/** Name of spell. */
	String name;
	
	//--------------------------------------------------------------------------
	//	 Constructors
	//--------------------------------------------------------------------------

	/**
	*	Constructor	(from	String array specifier).
	*	@param spec	The specifier.
	*/
	public Spell (String[] spec) {
		level = Integer.parseInt(spec[0]);
		frequency = spec[1].charAt(0);
		name = spec[2];
	}

	//--------------------------------------------------------------------------
	//	 Methods
	//--------------------------------------------------------------------------

	/**
	*	Get the level.
	*/
	public int getLevel () {
		return level;
	}

	/**
	*	Get the frequency code.
	*/
	public char getFrequency () {
		return frequency;
	}
	
	/**
	*	Get the name of the spell.
	*/
	public String getName () {
		return name;
	}

	/**
	*	Identify	this object	as	a string.
	*/
	public String toString() {
		return name;
	}

	/**
	*	Compare to another spell by name.
	*/
	public int compareTo (Spell other) {
		return name.compareTo(other.name);			
	}

	/**
	*	Main test method.
	*/
	public static void main	(String[] args) {
		String[] spec = {"1", "C", "Affect Normal Fires"};
		Spell spell = new Spell(spec);
		System.out.println(spell);
	}
}

