import java.util.Scanner;

/******************************************************************************
*  Spellbook generator for OD&D wizards.
*
*  @author   Daniel R. Collins (dcollins@superdan.net)
*  @since    2017-06-18
*  @version  1.02
******************************************************************************/

public class SpellbookGenerator {

	//--------------------------------------------------------------------------
	//  Methods
	//--------------------------------------------------------------------------
	
	/**
	*  Main application function.
	*/
	public static void main (String[] args) {
		Dice.initialize();
		int level, intel;

		// Command-line args provided
		if (args.length >= 2) {
			level = Integer.parseInt(args[0]);
			intel = Integer.parseInt(args[1]);
		}

		// Otherwise interactive input
		else {
			Scanner scan = new Scanner(System.in);
			System.err.print("Enter wizard's level > ");
			level = scan.nextInt();
			System.err.print("Enter wizard's intelligence > ");
			intel = scan.nextInt();
		}

		// Create & print the book
		System.out.println(new Spellbook(level, intel));
	}
}

